%% MATLAB Connector
connector on

%% Prikazy zadavane pres MATLAB mobile 

% a = 1;
% b = 2;
% c = a+b;
% peaks
% peaks(200)

%% Mobilni senzory

% Zalozeni objektu pro nacitani dat se senzoru
m = mobiledev

% Nastaveni, ktere senzory se maji snimat
m.AngularVelocitySensorEnabled = 1;
m.OrientationSensorEnabled = 1;

% Zapnout logovani
m.Logging = 1;

% Pockat ...

% Vypnout logovani
m.Logging = 0;

% Sber dat: azimuth, pitch, and roll
[o, to] = orientlog(m);

% Vykresleni
azimuth = o(:, 1);
pitch = o(:, 2);
roll = o(:, 3);

plot(to, azimuth, to, pitch, to, roll);
legend('azimuth','pitch','Roll');
xlabel('Relative time (s)');

%% Vypnuti
m.AngularVelocitySensorEnabled = 0;
m.OrientationSensorEnabled = 0;

clear m;